package com.bonus.canteen.core.screening.service;

import com.bonus.canteen.core.screening.dto.DataScreenDTO;
import com.bonus.common.core.web.domain.AjaxResult;

/**
 * @author 19814
 */
public interface DataScreeningService {
    /**
     * 获取数据总览（今日营业额、订单等）
     *
     * @return AjaxResult
     */
    AjaxResult getDataScreeningModel();

    /**
     * 获取食堂订单及销量趋势
     *
     * @param dataScreenDTO 数据筛选条件
     * @return AjaxResult
     */
    AjaxResult getCanteenOrdersAndSalesTrends(DataScreenDTO dataScreenDTO);

    /**
     * 获取商超订单及销量趋势
     *
     * @param dataScreenDTO 数据筛选条件
     * @return AjaxResult
     */
    AjaxResult getSupermarketOrderAndSalesTrend(DataScreenDTO dataScreenDTO);

    /**
     * 获取本月菜品销量排名
     *
     * @return AjaxResult
     */
    AjaxResult getThisMonthDishSalesRanking();

    /**
     * 订单类型占比
     *
     * @param dataScreenDTO 数据筛选条件
     * @return AjaxResult
     */
    AjaxResult getProportionOfOrderTypes(DataScreenDTO dataScreenDTO);
}
